We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6814 - FontSizer cookie setting blocks PDF object display
FontSizer cookie setting blocks PDF object display
Status: RESOLVED WORKSFORME
Product: OJS
Classification: Unclassified
Component: Readers
2.4.x
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-09 15:52 PDT by James MacGregor
Modified: 2014-08-19 13:22 PDT (History)
5 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-08-09 15:52:09 PDT
See http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=7774&p=30228#p30228 for detailed discussion and a fix from Martin. I've replicated the problem -- PDFs were not displaying after upgrade in IE 7/8, and deleting the font display cookie fixed this. I haven't tested the fix. I'd prefer Alec or Matt maybe taking a look at Martin's proposed code first.
Comment 1 James MacGregor 2011-08-09 15:55:41 PDT
Actually, let me rephrase -- I tested the proposed fix a little bit, to no discernible effect. I added Martin's code to my upgraded instance's fontController.js, cleared the caches, logged out/in, and still couldn't see the PDF ... but this wasn't a particularly systemic test. I'm happy to continue testing this or another solution, but I just want some more experienced eyes on the problem first.
Comment 2 Martin van Luijt 2011-08-11 06:07:33 PDT
Be careful not to take on two issues at the same time, James. PDFobject is a finicky beast too. After Apple's latest round of updates it is broken in Safari on my Mac (sigh). 

Does the fontsizer work after applying the patch?

Dou you get an error from IE? (triangle with an exclamation mark in the lower left corner of the browser window. If so, waht does the error say?
Comment 3 Alec Smecher 2011-08-25 09:38:43 PDT
I can't run IE; Matt, any chance you're a slightly less puritanical sort?
Comment 4 Matthew Crider 2011-08-25 10:15:19 PDT
I don't have a windows virtual machine anymore since I reinstalled my OS.  I think Michael might?
Comment 5 Clinton Graham 2014-08-19 12:01:24 PDT
Can this be closed as specific to out-of-support software (IE 7, OJS 2.2.x)?
Comment 6 Alec Smecher 2014-08-19 13:22:12 PDT
Yes, this entry is obsolete.